NXOpen二次开发

  • 时间:
  • 浏览:12
  • 来源:跟我学网络

原创 (2020全新)UGNX二次开发(零基础入门)到提高全套视频教程

UG NX 二次开发零基础入门与提高视频教程(胡君录制) 教程简介: 本套 UG NX 二次开发视频教程由胡君录制,适合完全没有C/C++基础的NX用户学习,可以零基础入门开始学起,深入浅出、循序渐进、逐步提高开发能力。教程从最基本的软件安装、菜单与工具条制作、设计对话框等逐渐带你进入NX开发...

2020-04-25 16:47:45 502 0

原创 UGNXCAM加工模块二次开发视频教程全集(全套视频教程)

UG NX CAM 加工模块二次开发视频教程全集(胡君录制) 教程简介: 本套 NX CAM 加工模块二次开发视频教程由胡君录制,教程详细的讲解了关于NX加工模块开发的各个知识点,以及同时使用UFun、NXOpen两种方式来对CAM模块开发的方法(详细请查看以下的教程目录),在教程的后面也通过了...

2020-04-25 16:45:42 197 0

原创 NX CAM 加工模块二次开发视频教程全集目录(胡君录制)

CAM加工模块开发-第1节:CAM开发前言、规划以及基础能力储备说明 CAM加工模块开发-第2节:CAM模块构架原理、模板、模块切换等 CAM加工模块开发-第3节:UFun帮助文档关于CAM加工的函数的分布情况 CAM加工模块开发-第4节:CAM加工设置(Setup)的创建与获取 CAM加工模块开...

2020-04-23 22:48:26 340 0

原创 【视频教程】UG NX CAM 加工模块二次开发 视频教程

教程简介: 本套 NX CAM 加工模块二次开发视频教程由胡君录制,教程详细的讲解了关于NX加工模块开发的各个知识点,以及同时使用UFun、NXOpen两种方式来对CAM模块开发的方法(详细请查看以下的教程目录),在教程的后面也通过了一些实际开发的综合案例让学员对加工模块的开发有充分认识和理解,包...

2020-04-23 22:44:01 329 0

原创 UG NX CAM 二次开发,深度轮廓铣(等高)加工获取、设置【合并距离】值的方法

UG NX CAM 二次开发,深度轮廓铣(等高)加工 ZLEVEL_PROFILE,获取、设置合并距离值的方法 方法代码: /*这里operTag为一个工序操作,可以是已经创建好的操作,也可以是新创建的操作 我这里代码省略了operTag的获取过程,请根据你的功能需求获得operTa...

2019-06-09 18:42:05 1020 0

原创 UG NX二次开发 - CAM 获取和设置公差的方法,含内外公差、边界内外公差的设置方法

UG CAM 加工二次开发切削参数中设置公差的方法,含内外公差、边界内外公差的设置方法 /*这里operTag为一个工序操作,可以是已经创建好的操作,也可以是新创建的操作 我这里代码省略了operTag的获取过程,请根据你的功能需求获得operTag 如不明白可联系胡君qq:855...

2019-06-09 18:38:24 343 0

原创 UG CAM 二次开发需要用到的所有头文件(uf_cam_all.h)

UG CAM二次开发需要用到的所有头文件 uf_cam_all.h,CAM板块开发不用再不停的找头文件了,建议一次拷贝并单独做成一个头文件(如 uf_cam_all.h),以后再需要开发NX CAM的时候一次调用即可。 若有遗漏,欢迎跟帖补充。 另外还有一个集合了常用开发的头文件 uf_all...

2019-06-09 18:35:18 551 0

原创 NXOpen C++ 在线帮助文档,UG NX 二次开发在线帮助文档

NXOpen C++ 在线帮助文档,UG NX 二次开发在线帮助文档 NXOpen C++ 在线帮助文档地址:http://www.ugapi.com/doc/NXOpen/

2019-06-09 18:33:05 2109 1

原创 UG 二次开发中文帮助文档,UFun在线帮助文档, NX API 中文帮助文档

UG 二次开发中文帮助文档,UFun在线帮助文档, NX API 中文帮助文档 在线的中文帮助文档,不用下载,网页直接查询函数: UFun函数中文帮助文档地址:http://www.ugapi.com/doc/UFun/ ...

2019-06-09 18:30:39 2870 1

原创 UG CAM API 二次开发设置【余量】方法代码(包含侧面余量、底面余量、检查余量、修剪余量)

UG CAM 二次开发设置余量方法,如设置部件(侧面)余量、底面余量、检查余量、修剪边界余量,以及是否勾选侧面与底面余量一致。 /*这里operTag为一个工序操作,可以是已经创建好的操作,也可以是新创建的操作 我这里代码省略了operTag的获取过程,请根据你的功能需求获得operT...

2019-06-09 18:23:45 792 1

转载 [示例代码] UG CAM 二次开发创建新的加工坐标系MCS方法,并设置新加工坐标系的位置到当前WCS工作坐标系

本示例代码在几何视图的根组下通过UG CAM二次开发提供的函数(UF_NCGEOM_create)创建一个新的加工坐标系MCS,并设置新加工坐标系的位置到当前WCS工作坐标系的位置。创建方式为通过在UG默认模板 mill_planar 下几何体子类型为 MCS 的方式创建。 同理如果要创建 ...

2019-06-09 18:19:53 971 0

原创 UG CAM API 二次开发批量创建程序组的功能写法,提供一个初始的程序组名进行批量创建

UG CAM批量创建程序组功能代码,通过函数uc1613让用户输入初始的程序组名和要创建的个数,程序根据用户界面输入的数据进行循环批量创建(如下图) 注:具体运用请结合您自己的功能需求进行修改 批量创建程序组示例代码: //获取界面输入的数据 int ijunk[2], resp, str...

2019-06-09 17:44:34 1084 0

转载 UG CAM 开发获取工序导航器当前选择的操作、程序组、几何体、刀具方法,获得名字并修改名字

在UG CAM开发中,我们经常需要获得当前工序导航器选择的某一个或几个操作(如下图),然后进行批量修改参数(比如批量修改余量、进给率等)。 而要如何来获取到当前选中的这些操作呢? 这里通过 UF_UI_ONT_ask_selected_nodes 函数就可以。 其函数原型如下: UF_UI_ON...

2019-06-09 17:41:01 1568 0

转载 NX CAM API 二次开发获取、设置平面铣 PLANAR_MILL 的【切削模式】的方法代码

UG CAM平面铣(PLANAR_MILL)2D加工如何获取和设置切削模式呢(如下图)?比如如何设置切削模式为往复、单向、轮廓、跟随周边等,查看以下方法代码 `/*这里operTag为一个工序操作,可以是已经创建好的操作,也可以是新创建的操作。 获取或设置切削模式,使用 UF_PARAM_...

2019-06-09 17:33:39 799 0

原创 易模优(E-MOU)自动编程系统,易模优最新UGNX智能电极编程系统介绍

E-MOU(易模优)电极外挂是针对UG NX软件模具电极拆分、CAM自动编程的一款智能化的二次开发工具,易模优UG电极外挂能够帮助企业或工程师自动完成频次繁琐的重复工作、节约时间成本、减少失误率,其中的E-MOU自动编程工具、自动电极开料单、自动程序单、电极批量自动出火花图、电极自动排位等实用功能...

2017-10-09 11:31:23 289 0

原创 可视化操作

tag_t view_tag=NULL_TAG; double x[3]={1,0,0}; double y[3]={0,1,0}; UF_CSYS_map_point(UF_CSYS_ROOT_WCS_COORDS,x,UF_CSYS_WORK_COORDS,x); UF_CSYS_map_...

2016-11-23 21:47:22 282 0

原创 选择视图里圆弧,创建坐标原点

★选择视图里圆弧,创建坐标原点 //设置选择的实体类型 static int init_proc( UF_UI_selection_p_t select, void *user_data ) { int errorCode = 0; //选择实体边缘 int num_triples = ...

2016-11-22 12:05:54 82 0

原创 获得图纸所有尺寸信息

//获得图纸所有尺寸信息 char error_message[133] = ""; int ifail = 0; tag_t dim_tag = NULL_TAG; int ...

2016-11-22 12:03:26 432 0

原创 通过名称和类型得到对象

//通过名称和类型得到对象 //不管在什么层和是否可见,所有对象都遍历 tag_t disp_part_tag,next_tag=NULL_TAG; int num=0; char obj_name[31]="MM"; //对象名称 logical use_occ =TRUE...

2016-11-21 21:30:23 224 0

原创 点坐标的转换,绝对坐标转换工作坐标方法

UF是默认绝对坐标的我们需要转换工作坐标 //点坐标转换,点数据从一个坐标转换到另一个坐标 UF_CSYS_map_point //将模型点位转换成视图点位 UF_VIEW_map_model_to_drawing //将视图点位转换成模型点位 UF_VIEW_map_draw...

2016-11-21 21:24:24 1013 0

原创 根据点、面、边缘获取实体

点、面、边缘获取实体 UF_MODL_ask_face_body //根据面 获取实体 UF_MODL_ask_edge_body //根据边缘 获取实体 UF_MODL_ask_edge_faces //边缘获取表面函数 UF_SO_ask_parents //根据点 获得实体 根据...

2016-11-21 21:23:32 510 0

原创 生成关联基准面、关联基准轴代码

//生成关联基准面、关联基准轴 double point[3]; double direction[3]; tag_t dplane_tag; point[0] = 0.0;//参考点 point[1] = 0.0; point[2] = 0.0; direction[0] = 1.0;//法...

2016-11-21 21:16:47 87 0

原创 GRIP获得3d对象最长对角线源代码

$$ 获得 3d对象最长对角线 Gripsw / Declrv $$必须声明变量 Entity / Body(1),Pl(6) Number / R(7),Array(1),P(6),Dx,Dy,Dz Number / Resp,Xmin,Ymin,Zmin,Xmax,Ymax,Zmax ...

2016-11-21 21:15:13 94 0

原创 判断面半径,类型轴中心极点坐标

判断面半径,类型轴中心极点坐标 UF_MODL_ask_face_data 判断面类型 圆柱或圆锥等等轴中心方向 极点坐标 半径 大小 //设置选择的实体类型 static int init_proc( UF_UI_selection_p_t select, void *user_data ) ...

2016-11-21 21:13:34 86 0

原创 添加与删除回调函数

//添加回调函数 #define UF_CALL(X) (report_error( __FILE__, __LINE__, #X, (X))) static int report_error( char *file, int line, char *call, int irc) { i...

2016-11-21 11:04:22 167 0

原创 UFun创建混合面

//创建混合面 #define UF_CALL(X) (report_error( __FILE__, __LINE__, #X, (X))) static int report_error( char *file, int line, char *call, int irc) { if ...

2016-11-21 10:32:27 82 0

原创 矩阵陈列:平移、缩放、旋转、镜像、矩阵相乘、变化的实现

矩阵陈列:平移、缩放、旋转、镜像、矩阵相乘、变化的实现 uf5940_ uf5941_ uf5942_ 矩阵相乘 uf5943_ 平移 uf5944_ 缩放 uf5945_ 旋转 uf5946_ 镜像 uf5947_ 变化的实现 //----列,当前工作坐标,围绕当前z轴旋转90度 //uc1...

2016-11-20 15:16:59 132 0

原创 UFun/UGopen判断两个面是否相切函数原理说明

判断两个面是否相切,相切 原理: 两个面相切说明是相邻面 相邻面会有一个公共边, 取公共边的中点,判断该点在面1的法向和该点在面2的法向, 如果这两个法向的夹角小于公差,则为相切 如果是一个参考点判断,处理拉伸面、规则的曲面比较合适 不规则的曲面 需要多设置参考点判断 //判断两个面是否相切,相...

2016-11-20 14:50:47 111 0

原创 UGopen二次开发获得对象信息,包括所在的层、颜色、隐藏状态、线宽、线型、高亮显...

//获得对象信息 tag_t object; UF_OBJ_disp_props_s dispprops; UF_OBJ_ask_display_properties (object, &dispprops); //这些信息都保存在结构体UF_OBJ_disp_props_s中, 成...

2016-11-20 14:45:59 325 0

原创 UGopen/UFun提取实体、面的边线获得边缘系列函数

提取和获得边缘 UF_MODL_create_curve_from_edge 提取实体边缘 UF_MODL_ask_body_edges 获得实体所有边缘 UF_MODL_ask_face_edges 获得面的所有边缘 UF_MODL_ask_face_loops(object_tag,&am...

2016-11-20 14:31:29 284 0

原创 UGopen二次开发有关线、曲线、圆弧等相关的一系列的函数功能说明

有关线的函数头文件: UF_CURVE_create_line //创建一条线(2点) UF_CURVE_create_line_point_angle //创建一条线(点和角度) UF_CURVE_create_line_point_point //创建一条线(2点) UF_C...

2016-11-20 14:26:00 566 0